%global major 1
%define libname %mklibname babeltrace %{major}
%define devname %mklibname -d babeltrace

%define _disable_ld_no_undefined %nil

Name:           babeltrace
Version:        1.3.3
Release:        %mkrel 1
License:        MIT and GPLv2
URL:            http://www.efficios.com/babeltrace
Source0:        http://www.efficios.com/files/%{name}/%{name}-%{version}.tar.bz2
Group:          Development/Tools
Summary:        Trace Viewer and Converter, mainly for the Common Trace Format
BuildRequires:  pkgconfig 
BuildRequires:  bison 
BuildRequires:  flex 
BuildRequires:  glib2-devel 
BuildRequires:  popt-devel 
BuildRequires:  libuuid-devel 
BuildRequires:  libtool
Requires:       %{libname} = %{version}

%description
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.

The main format expected to be converted to/from is the Common Trace
Format (CTF). See http://www.efficios.com/ctf.


%package -n     %{libname}
Summary:        Common Trace Format Babel Tower
Group:          Development/C
Obsoletes:      %{_lib}babeltrace0 = 1.2.2-1.mga5

%description -n %{libname}
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.


%package -n     %{devname}
Summary:        Common Trace Format Babel Tower
Group:          Development/C
Requires:       %{libname} = %{version}-%{release} glib2-devel
Provides:	libbabeltrace-devel

%description -n %{devname}
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.


%prep
%setup -q 
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static

%make V=1

%check
make check

%install
%make_install
rm -vf %{buildroot}%{_libdir}/*.la


%files
%{_bindir}/%{name}*
%doc ChangeLog LICENSE gpl-2.0.txt mit-license.txt
%doc std-ext-lib.txt doc/*.txt
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%doc ChangeLog LICENSE gpl-2.0.txt mit-license.txt
%doc std-ext-lib.txt doc/*.txt

%files -n %{devname}
%{_prefix}/include/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/babeltrace.pc
%{_libdir}/pkgconfig/babeltrace-ctf.pc


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.3.3-1.mga6
+ Revision: 1045504
- 1.3.3

* Mon May 09 2016 luigiwalser <luigiwalser> 1.3.2-1.mga6
+ Revision: 1011321
- 1.3.2

* Thu Apr 14 2016 tv <tv> 1.3.1-3.mga6
+ Revision: 1001318
- provides libbabeltrace-devel

* Wed Jan 06 2016 luigiwalser <luigiwalser> 1.3.1-2.mga6
+ Revision: 920054
- use different configure macro

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.3.1-1.mga6
+ Revision: 918774
- 1.3.1

* Tue Oct 27 2015 daviddavid <daviddavid> 1.2.4-2.mga6
+ Revision: 895864
- update doc file list to fix build with latest rpm

* Tue Jun 23 2015 tv <tv> 1.2.4-1.mga6
+ Revision: 840307
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 746968
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.2-5.mga5
+ Revision: 725979
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 693473
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 678092
- Mageia 5 Mass Rebuild

* Sat Aug 09 2014 wally <wally> 1.2.2-2.mga5
+ Revision: 661274
- fix lib major

* Fri Aug 08 2014 tv <tv> 1.2.2-1.mga5
+ Revision: 661068
- imported package babeltrace

